## org.eclipse.uml2.uml
Interface ExecutionSpecification

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, InteractionFragment, NamedElement, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ActionExecutionSpecification, BehaviorExecutionSpecification

    public interface ExecutionSpecification

extends InteractionFragment

A representation of the model object 'Execution Specification'. An execution specification is a specification of the execution of a unit of behavior or action within the lifeline. The duration of an execution specification is represented by two cccurrence specifications, the start occurrence specification and the finish occurrence specification.

The following features are supported:

- `Start`
- `Finish`

See Also:
  `UMLPackage.getExecutionSpecification()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`OccurrenceSpecification` `getFinish()` Returns the value of the 'Finish' reference
`OccurrenceSpecification` `getStart()` Returns the value of the 'Start' reference
`void` `setFinish(OccurrenceSpecification value)` Sets the value of the '`Finish`' reference
`void` `setStart(OccurrenceSpecification value)` Sets the value of the '`Start`' reference
`boolean` `validateSameLifeline(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The startEvent and the finishEvent must be on the same Lifeline start.lifeline = finish.lifeline

Methods inherited from interface org.eclipse.uml2.uml.InteractionFragment
`createGeneralOrdering, getCovered, getCovered, getCovereds, getEnclosingInteraction, getEnclosingOperand, getGeneralOrdering, getGeneralOrdering, getGeneralOrderings, setEnclosingInteraction, setEnclosingOperand`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getStart

    OccurrenceSpecification getStart()

  Returns the value of the 'Start' reference. References the OccurrenceSpecification that designates the start of the Action or Behavior

  Returns:
    the value of the 'Start' reference.
  See Also:
    `setStart(OccurrenceSpecification)`, `UMLPackage.getExecutionSpecification_Start()`

### setStart

    void setStart(OccurrenceSpecification value)

  Sets the value of the '`Start`' reference.

  Parameters:
    `value` - the new value of the 'Start' reference.
  See Also:
    `getStart()`

### getFinish

    OccurrenceSpecification getFinish()

  Returns the value of the 'Finish' reference. References the OccurrenceSpecification that designates the finish of the Action or Behavior.

  Returns:
    the value of the 'Finish' reference.
  See Also:
    `setFinish(OccurrenceSpecification)`, `UMLPackage.getExecutionSpecification_Finish()`

### setFinish

    void setFinish(OccurrenceSpecification value)

  Sets the value of the '`Finish`' reference.

  Parameters:
    `value` - the new value of the 'Finish' reference.
  See Also:
    `getFinish()`

### validateSameLifeline

    boolean validateSameLifeline(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  The startEvent and the finishEvent must be on the same Lifeline start.lifeline = finish.lifeline

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.